classification
Title: test_nntplib: test_article_head_body() fails in SSL mode
Type: Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords: patch

Created on 2017-11-25 01:23 by vstinner, last changed 2019-05-29 02:19 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4552 merged vstinner, 2017-11-25 01:27
PR 4553 merged python-dev, 2017-11-25 01:42
PR 11612 vstinner, 2019-05-29 02:19
Messages (3)
msg306930 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-25 01:23
The news.trigofacile.com NNTP server used by test_nntplib currently has troubles on SSL:

$ ./python -m test -u all -v test_nntplib -m test_article_head_body  

======================================================================
FAIL: test_article_head_body (test.test_nntplib.NetworkedNNTP_SSLTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/haypo/prog/python/3.6/Lib/test/test_nntplib.py", line 242, in wrapped
    meth(self)
  File "/home/haypo/prog/python/3.6/Lib/test/test_nntplib.py", line 187, in test_article_head_body
    self.check_article_resp(resp, body, art_num)
  File "/home/haypo/prog/python/3.6/Lib/test/test_nntplib.py", line 167, in check_article_resp
    self.assertNotIn(article.lines[-1], (b".", b".\n", b".\r\n"))
AssertionError: b'.' unexpectedly found in (b'.', b'.\n', b'.\r\n')


See also bpo-19613.
msg306931 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-25 01:42
New changeset 706cb3162e15271ecfeba15909ed48a3a437009f by Victor Stinner in branch 'master':
bpo-32128: Skip test_nntplib.test_article_head_body() (#4552)
https://github.com/python/cpython/commit/706cb3162e15271ecfeba15909ed48a3a437009f
msg306933 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-11-25 02:02
New changeset dde38b9cb3ff24f2f1f17cb681d30741e0090f51 by Victor Stinner (Miss Islington (bot)) in branch '3.6':
bpo-32128: Skip test_nntplib.test_article_head_body() (GH-4552) (#4553)
https://github.com/python/cpython/commit/dde38b9cb3ff24f2f1f17cb681d30741e0090f51
History
Date User Action Args
2019-05-29 02:19:59vstinnersetpull_requests: + pull_request13538
2018-09-19 23:07:48vstinnersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-11-25 02:02:49vstinnersetmessages: + msg306933
2017-11-25 01:42:28python-devsetpull_requests: + pull_request4484
2017-11-25 01:42:21vstinnersetmessages: + msg306931
2017-11-25 01:27:20vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request4483
2017-11-25 01:23:42vstinnercreate